Bug 27047 - Purchase suggestions search filter is broken
Summary: Purchase suggestions search filter is broken
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26406
  Show dependency treegraph
 
Reported: 2020-11-18 03:52 UTC by apirak
Modified: 2021-02-11 21:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 27047: Fix suggestions filtering at the OPAC (2.22 KB, patch)
2021-01-15 10:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27047: Fix suggestions filtering at the OPAC (2.27 KB, patch)
2021-01-15 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27047: Fix suggestions filtering at the OPAC (2.33 KB, patch)
2021-01-17 15:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description apirak 2020-11-18 03:52:09 UTC
test plan:
[1] Log in to Opac
[2] Go to your purchase suggestions menu
[3] Create purchase suggestions Ex. "title: harry potter"
[4] Go to purchase suggestions menu
[5] Type "harry potter" In <search for> field 
[6] The search result is not show only "harry potter" but show all purchase suggestions list.
Comment 1 Martin Renvoize 2021-01-14 14:08:00 UTC
This works for me in master, 20.11 and 20.05..

Can you clarify by stating your version and exact steps to replicate.
Comment 2 Owen Leonard 2021-01-14 14:16:22 UTC
I can reproduce this in master... Submitting a search doesn't change the list of suggestions at all. I think it may have been broken since 19.11.x.
Comment 3 Martin Renvoize 2021-01-14 15:31:10 UTC
(In reply to Owen Leonard from comment #2)
> I can reproduce this in master... Submitting a search doesn't change the
> list of suggestions at all. I think it may have been broken since 19.11.x.

Hum.. I must be looking in entirely the wrong place then..
Comment 4 Martin Renvoize 2021-01-14 15:33:38 UTC
Doh!.. OPAC
Comment 5 Martin Renvoize 2021-01-14 16:47:44 UTC
Tracing back, I can't see when this was broken.. but also can't see how it worked in the past.. it looks like it submits a form back and expects a full page reload.. except there's nothing in the controller to action that form submission.

I'd propose just switching to DataTables filtering..
Comment 6 Jonathan Druart 2021-01-15 10:18:35 UTC
Created attachment 115189 [details] [review]
Bug 27047: Fix suggestions filtering at the OPAC

There is a "Search" input box that appears to be broken for... ever?

This patch replaces it with the DataTables filtering.

Test plan:
Create some suggestions, go to your suggestion list at the OPAC
Confirm that the filtering now works correctly
Comment 7 Owen Leonard 2021-01-15 18:49:52 UTC
Created attachment 115211 [details] [review]
Bug 27047: Fix suggestions filtering at the OPAC

There is a "Search" input box that appears to be broken for... ever?

This patch replaces it with the DataTables filtering.

Test plan:
Create some suggestions, go to your suggestion list at the OPAC
Confirm that the filtering now works correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Katrin Fischer 2021-01-17 15:48:42 UTC
Created attachment 115222 [details] [review]
Bug 27047: Fix suggestions filtering at the OPAC

There is a "Search" input box that appears to be broken for... ever?

This patch replaces it with the DataTables filtering.

Test plan:
Create some suggestions, go to your suggestion list at the OPAC
Confirm that the filtering now works correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2021-01-19 15:24:08 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-01-20 08:24:37 UTC
Pushed to 20.11.x for 20.11.02
Comment 11 Andrew Fuerste-Henry 2021-01-29 18:21:59 UTC
Doesn't apply cleanly to 20.05.x, please rebase if needed.
Comment 12 Jonathan Druart 2021-02-10 07:15:54 UTC
I reintroduced this filter on bug 26406.